=== src/interfaces/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	udp_sink_f.cpp
	udp_sink_f.h
)
