=== debian/changelog ===
gqrx-sdr (2.12.1-1build2) focal; urgency=medium

  * No-change rebuild against new gr-osmosdr.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 29 Feb 2020 18:13:57 -0500

gqrx-sdr (2.12.1-1build1) focal; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 11:35:17 +0100

gqrx-sdr (2.12.1-1) unstable; urgency=medium

  * New upstream release
  * update to v2.12.1-8-g8c1d8d4

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 02 Feb 2020 21:13:01 -0500

gqrx-sdr (2.11.5-2) unstable; urgency=medium

  * update to argilo/maint-3.8 v2.11.5-13-ga02d54c
  * Build using gnuradio 3.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 06 Sep 2019 00:05:34 -0400
