=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=2.8),
               debhelper (>= 12~),
               gnuradio-dev (>=3.7.12.0),
	       gr-iio,
               gr-osmosdr (>=0.1.4-13),
               libasound2-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
	       libboost-regex-dev,
               libboost-system-dev,
               libfftw3-dev,
	       libgmp-dev,
               libgsl0-dev,
	       libjack-jackd2-dev,
               liblog4cpp5-dev,
	       liborc-0.4-dev,
               libpulse-dev,
               libqt5svg5-dev,
	       libsoapysdr-dev,
               libudev-dev [linux-any],
               pkg-config,
	       portaudio19-dev,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser
Standards-Version: 4.4.0
Homepage: http://gqrx.dk/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

Package: gqrx-sdr
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Conflicts: gqrx (<= 2.3.0-0kali4)
Replaces: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.
