## gqrx-sdr 2.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.2)
 
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "12")
-set(${PROJECT_NAME}_PATCH "1")
+set(${PROJECT_NAME}_MINOR "13")
+set(${PROJECT_NAME}_PATCH "3")
 ##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
-add_definitions(-DVERSION="${VERSION}")
+##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
+##add_definitions(-DVERSION="${VERSION}")
 
 # development version
 execute_process(
@@ -16,7 +16,7 @@
     OUTPUT_VARIABLE GITVERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE
 )
-#add_definitions(-DVERSION="${GITVERSION}")
+add_definitions(-DVERSION="${GITVERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -112,6 +112,9 @@
 
 set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
 find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft)
+if(Gnuradio_VERSION VERSION_LESS "3.8")
+    find_package(Volk)
+endif()
 
 if(NOT Gnuradio_FOUND)
     message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
@@ -131,7 +134,7 @@
 add_definitions(-DGNURADIO_VERSION=${GNURADIO_BCD_VERSION})
 
 if(Gnuradio_VERSION VERSION_LESS "3.8")
-    find_package(Boost COMPONENTS system program_options REQUIRED)
+    find_package(Boost COMPONENTS system REQUIRED)
 endif()
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -147,7 +150,11 @@
         unset(PORTAUDIO_INCLUDE_DIRS CACHE)
         unset(PORTAUDIO_LIBRARIES CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
-        find_package(Portaudio REQUIRED)
+        if(Gnuradio_VERSION VERSION_LESS "3.8")
+            find_package(Portaudio REQUIRED)
+        else()
+            find_package(PORTAUDIO REQUIRED)
+        endif()
         add_definitions(-DWITH_PORTAUDIO)
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
