=== debian/changelog ===
gqrx-sdr (2.13.3-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 06 Nov 2020 10:22:22 -0500

gqrx-sdr (2.13.3-1) unstable; urgency=medium

  * New upstream release
    FIXED: Crash when waterfall height is set to 100%.
    NEW: Preliminary support for GNU Radio 3.9.
    NEW: Print UDP configuration.
    NEW: Viridis color map.
    FIXED: Loss of precision in the plotter's frequency axis.
    FIXED: Usability on smaller screen sizes.
  * update Standards-version

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 Nov 2020 14:34:57 -0500

gqrx-sdr (2.13.1-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Oct 2020 13:17:03 -0400

gqrx-sdr (2.13-1) unstable; urgency=medium

  * New upstream release
  * update to v2.13-2-g19772b1

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Oct 2020 13:16:36 -0400
