=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=3.2),
	       debhelper-compat (= 13),
               gnuradio-dev (>=3.8.0.0),
	       gr-iio,
               gr-osmosdr (>=0.2),
               libasound2-dev,
               libboost-filesystem-dev,
	       libboost-regex-dev,
               libboost-system-dev,
               libfftw3-dev,
	       libgmp-dev,
               libgsl0-dev,
	       libjack-jackd2-dev,
               liblog4cpp5-dev,
               libpulse-dev,
               libqt5svg5-dev,
	       libsoapysdr-dev,
	       libvolk2-dev,
               pkg-config,
	       portaudio19-dev,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://gqrx.dk/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

Package: gqrx-sdr
Architecture: any
Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
Breaks: gqrx (<= 2.3.0-0kali4)
Replaces: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx supports many of the SDR hardware available, including Funcube
 Dongles, rtl-sdr, HackRF and USRP devices.
 .
 Includes AM, SSB, FM-N and FM-W (mono and stereo) demodulators, and
 Special FM mode for NOAA APT. Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.
