## gqrx-sdr 2.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,20 +3,25 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "13")
-set(${PROJECT_NAME}_PATCH "3")
-##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
-##set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
-##add_definitions(-DVERSION="${VERSION}")
-
-# development version
-execute_process(
-    COMMAND git describe --long --dirty
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE GITVERSION
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-add_definitions(-DVERSION="${GITVERSION}")
+set(${PROJECT_NAME}_MINOR "14")
+set(${PROJECT_NAME}_PATCH "0")
+set(IS_RELEASE TRUE)
+
+if(IS_RELEASE)
+    if(${PROJECT_NAME}_PATCH EQUAL 0)
+        set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
+    else()
+        set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
+    endif()
+else()
+    execute_process(
+        COMMAND git describe --long --dirty
+        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+        OUTPUT_VARIABLE VERSION
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+endif()
+add_definitions(-DVERSION="${VERSION}")
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -184,7 +189,11 @@
     endif()
 
     if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
-        find_package(Portaudio REQUIRED)
+        if(Gnuradio_VERSION VERSION_LESS "3.8")
+            find_package(Portaudio REQUIRED)
+        else()
+            find_package(PORTAUDIO REQUIRED)
+        endif()
         add_definitions(-DWITH_PORTAUDIO)
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
