=== debian/changelog ===
gqrx-sdr (2.14-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 21 Nov 2020 19:30:55 -0500

gqrx-sdr (2.13.5-1) unstable; urgency=medium

  * New upstream release
  FIXED: Set correct buffer size for audio FFT.
  NEW: Added man page for use by distributions.
  FIXED: Crash when time span is set and waterfall height is set to 0%.
  FIXED: Filter width is incorrectly set when demod is off.
  IMPROVED: Removed Boost.Format dependency.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 08 Nov 2020 00:52:22 -0500
