=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
 	       debhelper-compat (= 13),
                gnuradio-dev (>=3.8.0.0),
