## gqrx-sdr 2.14.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "14")
-set(${PROJECT_NAME}_PATCH "0")
+set(${PROJECT_NAME}_PATCH "4")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -22,6 +22,7 @@
     )
 endif()
 add_definitions(-DVERSION="${VERSION}")
+file(WRITE version.txt ${VERSION})
 
 set(PACKAGE ${PROJECT_NAME})
 
@@ -45,11 +46,6 @@
 
 # Workaround for naming collision with log4cpp for Debug builds
 add_definitions(-DLOG4CPP_FIX_ERROR_COLLISION=1)
-
-# Disable debug outputs in release builds
-if(${CMAKE_BUILD_TYPE} MATCHES "Release" OR ${CMAKE_BUILD_TYPE} MATCHES "RelWithDebInfo")
-    add_definitions(-DQT_NO_DEBUG_OUTPUT)
-endif()
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     # using regular Clang or AppleClang
@@ -111,6 +107,15 @@
     list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
 endif()
 
+if(APPLE AND EXISTS /usr/local/opt/icu4c/lib)
+    # With Homebrew icu4c, `-licudata -licui18n -licuuc`
+    # are required, which reside in /usr/local/opt/icu4c/lib.
+    # See src/CMakeFiles/gqrx.dir/link.txt in the build directory.
+    set(ICU4C_LIBRARY_DIRS "/usr/local/opt/icu4c/lib")
+else()
+    set(ICU4C_LIBRARY_DIRS "")
+endif()
+
 # 3rd Party Dependency Stuff
 find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
 find_package(Gnuradio-osmosdr REQUIRED)
@@ -142,12 +147,13 @@
     find_package(Boost COMPONENTS system REQUIRED)
 endif()
 
-if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+if(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
     if(NOT LINUX_AUDIO_BACKEND)
         set(LINUX_AUDIO_BACKEND Pulseaudio CACHE STRING "Choose the audio backend, options are: Pulseaudio, Portaudio, Gr-audio" FORCE)
     endif()
 
     if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
+        message(STATUS "Pulseaudio backend enabled")
         find_package(PulseAudio REQUIRED)
         # there is a defect in the pulse audio cmake file that does not include this library. So we add it here.
         find_library(PULSE-SIMPLE NAMES pulse-simple REQUIRED)
@@ -155,6 +161,7 @@
         unset(PORTAUDIO_INCLUDE_DIRS CACHE)
         unset(PORTAUDIO_LIBRARIES CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
+        message(STATUS "Portaudio backend enabled")
         if(Gnuradio_VERSION VERSION_LESS "3.8")
             find_package(Portaudio REQUIRED)
         else()
@@ -169,6 +176,7 @@
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Gr-audio")
+        message(STATUS "Gr-audio backend enabled")
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_LIBRARY CACHE)
@@ -189,6 +197,7 @@
     endif()
 
     if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
+        message(STATUS "Portaudio backend enabled")
         if(Gnuradio_VERSION VERSION_LESS "3.8")
             find_package(Portaudio REQUIRED)
         else()
@@ -203,6 +212,7 @@
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
     elseif(${OSX_AUDIO_BACKEND} MATCHES "Gr-audio")
+        message(STATUS "Gr-audio backend enabled")
         unset(PULSEAUDIO_FOUND CACHE)
         unset(PULSEAUDIO_INCLUDE_DIR CACHE)
         unset(PULSEAUDIO_LIBRARY CACHE)
@@ -241,6 +251,7 @@
 link_directories(
     ${Boost_LIBRARY_DIRS}
     ${GNURADIO_RUNTIME_LIBRARY_DIRS}
+    ${ICU4C_LIBRARY_DIRS}
 )
