=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,7 @@
         add_subdirectory(osxaudio)
     endif()
     add_definitions(-DGQRX_OS_MACX)
-    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.9)
-elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
     if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
         add_subdirectory(pulseaudio)
     elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
@@ -71,6 +70,7 @@
     ${PULSEAUDIO_LIBRARY}
     ${PULSE-SIMPLE}
     ${PORTAUDIO_LIBRARIES}
+    ${VOLK_LIBRARIES}
 )
 
 if(NOT Gnuradio_VERSION VERSION_LESS "3.8")
@@ -80,6 +80,7 @@
         gnuradio::gnuradio-digital
         gnuradio::gnuradio-filter
         gnuradio::gnuradio-audio
+        Volk::volk
     )
 endif()
