=== debian/changelog ===
gqrx-sdr (2.14.4-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 28 Dec 2020 19:25:53 -0500

gqrx-sdr (2.14.3-1) unstable; urgency=medium

  * New upstream release

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 09 Dec 2020 11:27:41 -0500
