=== debian/control ===
--- 
+++ 
@@ -20,13 +20,14 @@
                libqt5svg5-dev,
 	       libsoapysdr-dev,
 	       libvolk2-dev,
+	       ninja-build,
                pkg-config,
 	       portaudio19-dev,
                qt5-qmake,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
