=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure  --buildsystem=cmake+ninja -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	echo "No tests defined in gqrx"
