## gqrx-sdr 2.15.4

=== debian/changelog ===
gqrx-sdr (2.15.4-1) unstable; urgency=medium

  * New upstream release.
  * updated Build-depends (Closes: #1003312)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jan 2022 15:21:59 -0500

gqrx-sdr (2.14.6-1) unstable; urgency=medium

  * New upstream release.
  * remove unnecessary pulseaudio dependency (Closes: #989625)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Dec 2021 23:24:11 -0500
