=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
 	       debhelper-compat (= 13),
-               gnuradio-dev (>=3.8.0.0),
-	       gr-iio,
+               gnuradio-dev,
                gr-osmosdr (>=0.2),
                libasound2-dev,
                libboost-filesystem-dev,
@@ -18,7 +17,9 @@
                liblog4cpp5-dev,
                libpulse-dev,
                libqt5svg5-dev,
+	       libsndfile1-dev,
 	       libsoapysdr-dev,
+	       libspdlog-dev,
 	       libvolk2-dev,
 	       ninja-build,
                pkg-config,
@@ -27,7 +28,7 @@
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
@@ -35,7 +36,7 @@
 
 Package: gqrx-sdr
 Architecture: any
-Depends: pulseaudio, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: gqrx (<= 2.3.0-0kali4)
 Replaces: gqrx (<= 2.3.0-0kali4)
 Description: Software defined radio receiver
