## gqrx-sdr 2.15.5

=== debian/changelog ===
gqrx-sdr (2.15.5-1) unstable; urgency=medium

  * New upstream release.
  * upstream updated gqrx.desktop (Closes: #1000331)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 20 Jan 2022 21:30:17 -0500
