## gqrx-sdr 2.15.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Project name
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
-set(${PROJECT_NAME}_MINOR "14")
-set(${PROJECT_NAME}_PATCH "4")
+set(${PROJECT_NAME}_MINOR "15")
+set(${PROJECT_NAME}_PATCH "6")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -118,18 +118,16 @@
 
 # 3rd Party Dependency Stuff
 find_package(Qt5 COMPONENTS Core Network Widgets Svg REQUIRED)
+include(FindPkgConfig)
 find_package(Gnuradio-osmosdr REQUIRED)
 
 set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
-find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft)
-if(Gnuradio_VERSION VERSION_LESS "3.8")
-    find_package(Volk)
-endif()
-
+find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft network)
 if(NOT Gnuradio_FOUND)
     message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
 endif()
 
+find_package(Volk)
 
 # Pass the GNU Radio version as 0xMMNNPP BCD.
 math(EXPR GNURADIO_BCD_VERSION
@@ -243,17 +241,33 @@
 # Finish configuring compiler / linker settings & flags
 include_directories(
     ${CMAKE_SOURCE_DIR}/include
-    ${Boost_INCLUDE_DIRS}
-    ${GNURADIO_RUNTIME_INCLUDE_DIRS}
     ${GNURADIO_OSMOSDR_INCLUDE_DIRS}
 )
 
 link_directories(
-    ${Boost_LIBRARY_DIRS}
     ${GNURADIO_RUNTIME_LIBRARY_DIRS}
     ${ICU4C_LIBRARY_DIRS}
 )
 
+if(Gnuradio_VERSION VERSION_LESS "3.8")
+    include_directories(
+        ${Boost_INCLUDE_DIRS}
+        ${GNURADIO_RUNTIME_INCLUDE_DIRS}
+    )
+
+    link_directories(
+        ${Boost_LIBRARY_DIRS}
+    )
+endif()
+
+# Install desktop
+install(FILES gqrx.desktop DESTINATION share/applications)
+
+# Install appstream / metainfo file
+install(FILES gqrx.appdata.xml DESTINATION share/metainfo)
+
+# Install icon
+install(FILES resources/icons/gqrx.svg DESTINATION share/icons/hicolor/scalable/apps)
 
 # Add subdirectories
 add_subdirectory(src)
