=== debian/changelog ===
gqrx-sdr (2.15.6-1) unstable; urgency=medium

  * remove unnecessary dependencies

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 22 Jan 2022 14:54:30 -0500
