=== debian/control ===
--- 
+++ 
@@ -3,28 +3,18 @@
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
-	       debhelper-compat (= 13),
+               debhelper-compat (= 13),
                gnuradio-dev,
                gr-osmosdr (>=0.2),
                libasound2-dev,
-               libboost-filesystem-dev,
-	       libboost-regex-dev,
-               libboost-system-dev,
-               libfftw3-dev,
-	       libgmp-dev,
-               libgsl0-dev,
-	       libjack-jackd2-dev,
-               liblog4cpp5-dev,
+               libjack-jackd2-dev,
                libpulse-dev,
                libqt5svg5-dev,
-	       libsndfile1-dev,
-	       libsoapysdr-dev,
-	       libspdlog-dev,
-	       libvolk2-dev,
-	       ninja-build,
+               libsndfile1-dev,
+               libvolk2-dev,
+               ninja-build,
                pkg-config,
-	       portaudio19-dev,
-               qt5-qmake,
+               portaudio19-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtchooser
