## gqrx-sdr 2.15.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "15")
-set(${PROJECT_NAME}_PATCH "6")
+set(${PROJECT_NAME}_PATCH "8")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -261,10 +261,10 @@
 endif()
 
 # Install desktop
-install(FILES gqrx.desktop DESTINATION share/applications)
+install(FILES dk.gqrx.gqrx.desktop DESTINATION share/applications)
 
 # Install appstream / metainfo file
-install(FILES gqrx.appdata.xml DESTINATION share/metainfo)
+install(FILES dk.gqrx.gqrx.appdata.xml DESTINATION share/metainfo)
 
 # Install icon
 install(FILES resources/icons/gqrx.svg DESTINATION share/icons/hicolor/scalable/apps)
