=== debian/changelog ===
gqrx-sdr (2.15.8-1build2) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 01:03:43 +0000

gqrx-sdr (2.15.8-1build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 21:06:52 +0000

gqrx-sdr (2.15.8-1) unstable; urgency=medium

  * New upstream release.
    fixed bug that caused a segfault when DSP paused for too long.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 25 Jan 2022 20:43:51 -0500

gqrx-sdr (2.15.7-1) unstable; urgency=medium

  * New upstream release,
    Fix errors & warnings in appstream metadata & desktop entry

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 23 Jan 2022 12:12:37 -0500
