=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,16 +29,29 @@
 
 ###############################################################################
 # Process the UI files
-QT5_WRAP_UI(UIS_HDRS
-    ${${PROJECT_NAME}_UI_SOURCE}
-)
+if(Qt6_FOUND)
+    QT_WRAP_UI(UIS_HDRS
+        ${${PROJECT_NAME}_UI_SOURCE}
+    )
+else()
+    QT5_WRAP_UI(UIS_HDRS
+        ${${PROJECT_NAME}_UI_SOURCE}
+    )
+endif()
 
 ###############################################################################
 # Process the resources
-QT5_ADD_RESOURCES(RESOURCES_LIST
-    ../resources/icons.qrc
-    ../resources/textfiles.qrc
-)
+if(Qt6_FOUND)
+    QT_ADD_RESOURCES(RESOURCES_LIST
+        ../resources/icons.qrc
+        ../resources/textfiles.qrc
+    )
+else()
+    QT5_ADD_RESOURCES(RESOURCES_LIST
+        ../resources/icons.qrc
+        ../resources/textfiles.qrc
+    )
+endif()
 
 ###############################################################################
 # Resource file - adds an icon to GQRX executable
@@ -56,14 +69,32 @@
 ###############################################################################
 # Build the program
 add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
-set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
+if(Qt6_FOUND)
+    set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 17)
+else()
+    set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
+endif()
 # The pulse libraries are only needed on Linux. On other platforms they will
 # not be found, so having them here is fine.
+
+if(Qt6_FOUND)
+    target_link_libraries(${PROJECT_NAME}
+        Qt6::Core
+        Qt6::Network
+        Qt6::Widgets
+        Qt6::Svg
+        Qt6::SvgWidgets
+    )
+else()
+    target_link_libraries(${PROJECT_NAME}
+        Qt5::Core
+        Qt5::Network
+        Qt5::Widgets
+        Qt5::Svg
+    )
+endif()
+
 target_link_libraries(${PROJECT_NAME}
-    Qt5::Core
-    Qt5::Network
-    Qt5::Widgets
-    Qt5::Svg
     ${GNURADIO_OSMOSDR_LIBRARIES}
     ${PULSEAUDIO_LIBRARY}
     ${PULSE-SIMPLE}
