=== debian/changelog ===
gqrx-sdr (2.15.9-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 24 Aug 2022 20:17:08 -0400
