=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake (>=3.2),
                debhelper-compat (= 13),
                gnuradio-dev,
                gr-osmosdr (>=0.2),
                libasound2-dev,
+	       libgl-dev,
                libjack-jackd2-dev,
                libpulse-dev,
                libqt5svg5-dev,
@@ -15,9 +15,8 @@
                libvolk2-dev,
                portaudio19-dev,
                qtbase5-dev,
-               qtbase5-dev-tools,
-               qtchooser
-Standards-Version: 4.6.0
+               qtbase5-dev-tools
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
