## gqrx-sdr 2.16

=== debian/changelog ===
gqrx-sdr (2.16-1) unstable; urgency=medium

  * New upstream release.
  * Adjust volk dependencies. (Closes: #1041529)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 30 Apr 2023 11:28:26 -0400
