=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                libpulse-dev,
                libqt5svg5-dev,
                libsndfile1-dev,
-               libvolk2-dev,
+               libvolk-dev | libvolk2-dev,
                portaudio19-dev,
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
